---
title: Buyer Intent API Documentation
slug: buyer-intent-api-documentation
createdAt: 2025-02-08T18:50:47.770Z
---

# Data Update Schedule

The data provided by the API will be updated once on a daily basis. The most recent data will be from the previous day.

# Authentication

To use and interact with the API endpoints, users must authenticate by providing an access token with each call.

There are two ways of creating an access token:

- Registering and authorizing a new application
- Generating a custom bearer token

### Registering and authorizing a new application

To request an access token you must first register a new application in your SourceForge account

Navigate to [https://sourceforge.net/auth/oauth/](https://sourceforge.net/auth/oauth/) and fill out the form to register a new application.

Copy the generated `client id` and put it as parameter in the URL [https://sourceforge.net/rest/oauth2/authorize](https://sourceforge.net/rest/oauth2/authorize)

For example:

[https://sourceforge.net/rest/oauth2/authorize?client\_id=1234567\&response\_type=code](https://sourceforge.net/rest/oauth2/authorize?client_id=1234567\&response_type=code)

You will be redirected to the URL set in your redirect URI parameter, which includes a parameter called `authorization_code`

Copy that value and send it to the URL [https://sourceforge.net/rest/oauth2/token](https://sourceforge.net/rest/oauth2/token) using `POST` method

The following is an example of request body that can be posted to request an access token

```json
{
  "client_id": "6b0256feeb8f45e98663",
  "client_secret": "149824e0151f192faaa4a23c0a2b63db7a080695eebf92de82279252a35c0b8dd2d3bc85a8c71bd4",
  "redirect_uri": "https://sourceforge.net/software/",
  "code": "aaZXHd4L7U6uFYyPkcFjgC3hfTwVFs",
  "grant_type": "authorization_code"
}
```

You'll get a response with the generated token, copy it and you can sent it in an API request through the `Authorization` header, for example:

```text
GET https://sourceforge.net/rest/p/sfapi/v1/bsls
Authorization: Bearer 5gTw2cPt6e7eLFmlleqCesAaa3Ukfd
```

### Generate a custom bearer token

Custom bearer tokens provide an easier way to generate access tokens to authenticate the SourceForge APIs. To create one navigate to the OAuth setup page [https://sourceforge.net/auth/oauth/](https://sourceforge.net/auth/oauth/)

After registering a new application you will see that there's a button `Generate Bearer Token`. Click it and a new entry in the `Authorized Applications` section will be created.

Your custom bearer token will be located in the `Bearer Token` field. Copy it and you can sent it in an API request through the `Authorization` header, for example:

```text
GET https://sourceforge.net/rest/p/sfapi/v1/bsls
Authorization: Bearer 5gTw2cPt6e7eLFmlleqCesAaa3Ukfd
```

# Request Rate Limits

To ensure fair usage and maintain optimal performance for all users, this API might limit the amount of requests a user can send.

In addition, the maximum date range for querying data from the Buyer Intent Activity endpoint is 30 days.

## More Information

There are 6 different variants of page "**types**":

1. **comparison&#x20;**- these are comparison pages, with URLs that look like this:
   1. [https://sourceforge.net/software/compare/Dynamics-365-vs-Salesforce/](https://sourceforge.net/software/compare/Dynamics-365-vs-Salesforce/)
   2. [https://sourceforge.net/software/compare/Dynamics-365-vs-HubSpot-CRM-vs-Salesforce/](https://sourceforge.net/software/compare/Dynamics-365-vs-HubSpot-CRM-vs-Salesforce/)
2. **product\_page&#x20;**- these are product pages with URLs that look like this:
   1. [https://sourceforge.net/software/product/Salesforce/](https://sourceforge.net/software/product/Salesforce/)
   2. [https://sourceforge.net/software/product/Dynamics-365/](https://sourceforge.net/software/product/Dynamics-365/)&#x20;
3. **category\_page&#x20;**- these are category pages with URLs that look like this:
   1. [https://sourceforge.net/software/crm/](https://sourceforge.net/software/crm/)
   2. [https://sourceforge.net/software/accounting/](https://sourceforge.net/software/accounting/)&#x20;
4. **integrations -&#x20;**&#x74;hese are integration pages with URLs that look like this:
   1. [https://sourceforge.net/software/product/Salesforce/integrations/](https://sourceforge.net/software/product/Salesforce/integrations/)
   2. [https://sourceforge.net/software/product/Pipedrive/integrations/](https://sourceforge.net/software/product/Pipedrive/integrations/)
5. **alternatives&#x20;**- these are alternatives pages with URLs that look like this:
   1. [https://sourceforge.net/software/product/Salesforce/alternatives](https://sourceforge.net/software/product/Salesforce/alternatives)&#x20;
   2. [https://sourceforge.net/software/product/Pipedrive/alternatives](https://sourceforge.net/software/product/Pipedrive/alternatives)
6. **case\_studies&#x20;**- these are case studies pages with URLs that look like this:
   1. [https://sourceforge.net/software/product/SysAid/case-studies/](https://sourceforge.net/software/product/SysAid/case-studies/)
   2. [https://sourceforge.net/software/product/SysAid/case-studies/How-SysAid-Is-Empowering-ITSM-Efficiencies-in-a-Large-Global/](https://sourceforge.net/software/product/SysAid/case-studies/How-SysAid-Is-Empowering-ITSM-Efficiencies-in-a-Large-Global/)&#x20;

There are 3 different variants of page "**targets**":

1. **category&#x20;**- these are category pages with URLs that look like this:
   1. [https://sourceforge.net/software/crm/](https://sourceforge.net/software/crm/)
   2. [https://sourceforge.net/software/accounting/](https://sourceforge.net/software/accounting/)&#x20;
2. **product&#x20;**- these are product pages with URLs that look like this:
   1. [https://sourceforge.net/software/product/Salesforce/](https://sourceforge.net/software/product/Salesforce/)
   2. [https://sourceforge.net/software/product/Dynamics-365/](https://sourceforge.net/software/product/Dynamics-365/)&#x20;
3. **competitor&#x20;**- these are competitor pages with URLs that look like this:
   1. [[https://sourceforge.net/software/product/Pipedrive/](https://sourceforge.net/software/product/Pipedrive/)](https://sourceforge.net/software/product/Salesforce/)
   2. [https://sourceforge.net/software/product/HubSpot-CRM/](https://sourceforge.net/software/product/HubSpot-CRM/)

You can use these in your filters to segment by type of page.

The URLs on SourceForge also follow a formulaic pattern, so you segment based on URLs as well.
